<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!--
  ESTA SECAO DEVE SER UTILIZADA PARA O REMOTING
  <configSections>
    <sectionGroup name="WebFoundations">
      <section name="Remoting" type="WebFoundations.Remoting.RemotingSection,WebFoundations.Remoting"/>
    </sectionGroup>
  </configSections>
  <WebFoundations>
    <Remoting ServerName="localhost" Channel="tcp" Port="8088" ServiceName="NammaDataAccess"/>
  </WebFoundations>  
  -->
  <connectionStrings>
    <clear />
    <add name="ConnectionString" connectionString="server=[server];database=[database];uid=[user];pwd=[password]" providerName="SQLServer" />
    <!--
  <add name="ConnectionString" connectionString="server=[server];database=[database];uid=[user];pwd=[password]" providerName="SQLServer"/>
  <add name="ConnectionString" connectionString="Data Source=localhost;AttachDbFilename=[APPPATH]\_AppData\Zuri.mdf;Integrated Security=True;User Instance=True" providerName="SQLServer" />
  -->
  </connectionStrings>
  <appSettings>
    <add key="WFPortal.SetupMode" value="true" />
    <add key="Zuri.LicenseService" value="https://lm9.zuri.wf/licenseserver.asmx" />
    <add key="Zuri.LicenseToken" value="XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX" />
    <add key="WFWorkflow.MarkerCacheTime" value="1" />
    <add key="WFFramework.Security.EncapsulateOwner" value="false" />
    <add key="WFFramework.Monitoring.RaiseAllErrors" value="false" />
    <add key="WFFramework.Cache.TimeSpan" value="30" />
    <add key="WFFramework.Cache.Static" value="30" />
    <add key="WFPortal.SiteOnline" value="true" />
    <add key="WFPortal.AllowConfiguration" value="true" />
    <add key="WFPortal.SchedulerInterval" value="01:00" />
    <add key="WFPortal.DisableSubFolderWatch" value="true" />
    <add key="WFFramework.Email.EncodeChars" value="true" />
    <add key="WFWorkflow.SetHistoryLevel" value="4" />
    <add key="WFPortal.Headers.FrameOptions" value="SAMEORIGIN" />
    <add key="WFPortal.Headers.ContentTypeOptions" value="nosniff" />
    <add key="WFForms.EnableJavascriptControlValidation" value="true" />
    <!-- ############## TAGS ZURI ############## -->
    <!--<add key="WFWorkflow.ShowCommentsOnGPS" value="true"/>-->
    <!--<add key="WFWorkflow.SetHistoryLevel" value="3" />-->
    <!--<add key="WFWorkflow.HideHistoryTrace" value="true" />-->
    <!--<add key="WFWorkflow.PopUpLeftTop" value="10;10" />-->
    <!--<add key="WFWorkflow.EnableAttachmentHistory" value="true" />-->
    <!--<add key="WFWorkflow.UseHTMLForm" value="true" />-->
    <!--<add key="WFWorkflow.UseImageGPS" value="true" />-->
    <!--<add key="WFWorkflow.AutoGenerateItemName" value="false" />-->
    <!--<add key="WFWorkflow.UseCachedLists" value="true" />-->
    <!--<add key="WFWorkflow.MarkerCacheTime" value="5" />-->
    <!--<add key="WFWorkflow.UseControlPanelCache" value="true" />-->
    <!--<add key="WFWorkflow.ExternalEmailApproval" value="zuri@solucoes.wf" />-->
    <!--<add key="WFWorkflow.DisableGPSImage" value="true" />-->
    <!--<add key="WFWorkflow.GeraPacote" value="false" />-->
    <!--<add key="WFWorkflow.DenyProtectedDelete" value="true" />-->
    <!-- ############## TAGS KINGU ############## -->
    <!--<add key="WFPortal.SetupMode" value="true" /> SETUP-->
    <!--<add key="WFPortal.DBCreation" value="false" />-->
    <!--<add key="WFPortal.Security.RSAID" value=""/> RSID para licenca-->
    <!--<add key="WFPortal.BasePath" value="/WFContent/"/> Caminho base para o conteudo -->
    <!--<add key="WFPortal.CompatibilityMode" value="true"/> Iniciar em modo de compatibilidade -->
    <!--<add key="WFPortal.RequestPublisherComment" value="true" />-->
    <!--<add key="WFPortal.RequirePublisherComment" value="true" />-->
    <!--<add key="WFPortal.AllowHTMLTags" value="false" />-->
    <!--<add key="WFPortal.UseNewHTMLEditor" value="true" />-->
    <!--<add key="WFPortal.HTMLTagsRoleId" value="-1" />-->
    <!--<add key="WFPortal.HTMLFileSize" value="512000" />-->
    <!--<add key="WFPortal.IndexerModule" value="[MODULENAME].ascx" />-->
    <!--<add key="WFPortal.EnableGlossary" value="false" />-->
    <!--<add key="WFPortal.PublishTimeout" value="40" />-->
    <!--<add key="WFPortal.ResponseScheme" value="https" />-->
    <!--<add key="WFPortal.HideDynamicSegment" value="[SEGMENTGUID]" />-->
    <!--<add key="WFPortal.DownloadHandlerName" value="[HandlerName]" />-->
    <!--<add key="WFPortal.EnforceHttps" value="true" />-->
    <!-- ############## TAGS NAMMA ############## -->
    <!--<add key="WFFramework.EmailSSL" value="true"/>-->
    <!--<add key="WFFramework.EnableNumericLogin" value="true"/>-->
    <!--<add key="WFFramework.Menu.DisableScriptCache" value="true"/>-->
    <!--<add key="WFFramework.Security.EncapsulateOwner" value="false" />-->
    <!--<add key="WFFramework.ServicePath" value="/[APPPATH]/WFServices/" /> SERVICE PATH-->
    <!--<add key="WFFramework.Security.Credentials" value="USER=[USERNAME];PWD=[PASSWORD];DOMAIN=[DOMAIN]"/> IMPERSONATION-->
    <!--<add key="WFFramework.Security.Authentication.Windows" value=""/> FORCA WINDOWS SE TRUE-->
    <!--<add key="WFFramework.ThumbnailExpiration" value="02:00"/> TIMEOUT PARA URL THUMBNAIL-->
    <!--<add key="WFFramework.ThumbnailPath" value="~/WWWTHUMBS/"/> PATH PARA URL THUMBNAIL-->
    <!--<add key="WFFramework.DataMapping.BatchSize" value="10" />-->
    <!--<add key="WFFramework.EmailTestMode" value="EMAILDESTINO@DOMINIO" />-->
    <!--<add key="WFFramework.ShortDateTemplate" value="dd/MM/yyyy" />-->
    <!--<add key="WFFramework.Security.UseWhitelist" value="true" />-->
    <!--<add key="WFFramework.DBExecute.Timeout" value="200"/>-->
    <!-- ############## TAGS NINKI ############## -->
    <!--<add key="WFReports.HabilitaExportarTXT" value="0"/>-->
    <!--<add key="WFReports.HabilitaExportarCSV" value="0"/>-->
    <!--<add key="WFReports.HabilitaExportarXLS" value="0"/>-->
  </appSettings>
  <!--
    For a description of web.config changes see http://go.microsoft.com/fwlink/?LinkId=235367.

    The following attributes can be set on the <httpRuntime> tag.
      <system.Web>
        <httpRuntime targetFramework="4.5.2" />
      </system.Web>
  -->
  <system.web>
    <!--<trace enabled ="true" pageOutput ="false" requestLimit ="1000" writeToDiagnosticsTrace="true" traceMode="SortByTime" />-->
    <customErrors mode="RemoteOnly" defaultRedirect="~/Error.htm" />
    <roleManager enabled="true" defaultProvider="WFRoleProvider">
      <providers>
        <clear />
        <add name="WFRoleProvider" type="WebFoundations.BaseProviders.WFRoleProvider,WebFoundations.BaseProviders" />
      </providers>
    </roleManager>
    <pages enableSessionState="true" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID" />
    <compilation debug="false" targetFramework="4.6">
      <assemblies>
        <add assembly="*" />
        <add assembly="System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Extensions.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="Microsoft.Build.Framework, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Management, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="PresentationCore, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Speech, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
      </assemblies>
    </compilation>
    <authentication mode="Forms">
      <forms loginUrl="Login.aspx" protection="All" slidingExpiration="true" timeout="50000000" />
    </authentication>
    <membership defaultProvider="WFMembershipProvider" userIsOnlineTimeWindow="1">
      <providers>
        <!--passwordAttemptWindow : Se o numero de tentativas invalidas for atingido dentro 
        deste numero de minutos entao trava o usuario-->
        <clear />
        <add name="WFMembershipProvider" type="WebFoundations.BaseProviders.WFMembershipProvider,WebFoundations.BaseProviders" maxInvalidPasswordAttempts="50" passwordAttemptWindow="5" minRequiredNonAlphanumericCharacters="0" minRequiredPasswordLength="0" passwordStrengthRegularExpression="" enablePasswordReset="true" enablePasswordRetrieval="false" requiresQuestionAndAnswer="false" requiresUniqueEmail="false" passwordFormat="encrypted" />
      </providers>
    </membership>
    <profile enabled="true" defaultProvider="WFProfileProvider">
      <providers>
        <clear />
        <add name="WFProfileProvider" type="WebFoundations.BaseProviders.WFProfileProvider, WebFoundations.BaseProviders" />
      </providers>
      <properties>
        <add name="WFWFavoritos" defaultValue="" type="System.Collections.ArrayList" />
        <add name="WFWorkArea" defaultValue="" type="System.String" />
      </properties>
    </profile>
    <healthMonitoring heartbeatInterval="0" enabled="true">
      <profiles>
        <clear />
        <add name="Default" minInstances="1" maxLimit="Infinite" minInterval="00:00:00" custom="" />
        <add name="Tracking" minInstances="1" maxLimit="Infinite" minInterval="00:00:01" custom="" />
      </profiles>
      <bufferModes>
        <add name="CriticalEmail" maxBufferSize="100" maxFlushSize="20" urgentFlushThreshold="1" regularFlushInterval="00:10:00" urgentFlushInterval="00:01:00" maxBufferThreads="1" />
        <add name="LogFileBuffer" maxBufferSize="50" maxFlushSize="10" urgentFlushThreshold="1" regularFlushInterval="00:10:00" urgentFlushInterval="00:01:00" maxBufferThreads="1" />
        <add name="TrackingBuffer" maxBufferSize="100" maxFlushSize="50" urgentFlushThreshold="10" regularFlushInterval="00:30:00" urgentFlushInterval="00:10:00" maxBufferThreads="1" />
      </bufferModes>
      <providers>
        <add name="SendEmailProvider" type="System.Web.Management.SimpleMailWebEventProvider" from="origem@empresa" to="destino@empresa" bodyHeader="Error message from WebFoundations" bodyFooter="Please investigate ASAP : Errors Found" subjectPrefix="Action is required for these errors " buffer="true" bufferMode="CriticalEmail" maxEventLength="4096" maxMessagesPerNotification="10" />
        <add name="LogFileProvider" type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders" buffer="true" bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\" />
        <add name="AuditLogFileProvider" type="WebFoundations.Monitoring.EventProviders.FileLog,WebFoundations.Monitoring.EventProviders" buffer="true" bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\Audit\" />
        <add name="SimpleLogFileProvider" type="WebFoundations.Monitoring.EventProviders.SimpleFileLog,WebFoundations.Monitoring.EventProviders" buffer="false" bufferMode="LogFileBuffer" LogPath="[APPPATH]\_Logs\Simple\" />
        <add name="DataBaseProvider" type="WebFoundations.Monitoring.EventProviders.DataBase,WebFoundations.Monitoring.EventProviders" buffer="false" ConnectionStringName="WFFramework" />
        <add name="AuditDataBaseProvider" type="WebFoundations.Monitoring.EventProviders.AuditDataBase,WebFoundations.Monitoring.EventProviders" buffer="false" ConnectionStringName="WFFramework" />
        <add name="RSSMessages" type="WebFoundations.Monitoring.EventProviders.Message,WebFoundations.Monitoring.EventProviders" buffer="true" bufferMode="LogFileBuffer" LogPath="" />
        <add name="TrackingProvider" type="WebFoundations.WFPortal.PortalCore.Tools.TrackingProvider,WebFoundations.WFPortal.PortalCore" buffer="true" bufferMode="TrackingBuffer" />
      </providers>
      <eventMappings>
        <add name="Audit" type="WebFoundations.Monitoring.AuditEvent,WebFoundations.Monitoring" />
        <add name="Warning" type="WebFoundations.Monitoring.WarningEvent,WebFoundations.Monitoring" />
        <add name="CriticalError" type="WebFoundations.Monitoring.CriticalError,WebFoundations.Monitoring" />
        <add name="NonCriticalError" type="WebFoundations.Monitoring.NonCriticalError,WebFoundations.Monitoring" />
        <add name="Performance" type="WebFoundations.Monitoring.PerformanceMonitor,WebFoundations.Monitoring" />
        <add name="DataAccessError" type="WebFoundations.Monitoring.DataAccessError,WebFoundations.Monitoring" />
        <add name="GeneralError" type="WebFoundations.Monitoring.GeneralError,WebFoundations.Monitoring" />
        <add name="Tracking" type="WebFoundations.Monitoring.Tracking,WebFoundations.Monitoring" />
      </eventMappings>
      <rules>
        <add name="Critical Errors 1" eventName="CriticalError" provider="DataBaseProvider" profile="Default" />
        <!--<add name="Critical Errors 2" eventName="CriticalError" provider="LogFileProvider" profile="Default"/>-->
        <!--<add name="Critical Errors 3" eventName="CriticalError" provider="RSSMessages" profile="Default"/>-->
        <add name="Non Critical Errors" eventName="NonCriticalError" provider="DataBaseProvider" profile="Default" />
        <add name="Data Acess Error" eventName="DataAccessError" provider="LogFileProvider" profile="Default" />
        <add name="Tracking Messages" eventName="Tracking" provider="TrackingProvider" profile="Tracking" />
        <add name="Audit Messages 1" eventName="Audit" provider="AuditDataBaseProvider" profile="Default" />
        <!--<add name="Audit Messages 2" eventName="Audit" provider="AuditLogFileProvider" profile="Default" />-->
        <add name="Warning Messages 1" eventName="Warning" provider="DataBaseProvider" profile="Default" />
        <!--<add name="Warning Messages 2" eventName="Warning" provider="LogFileProvider" profile="Default"/>-->
        <!--<add name="Performance Monitor" eventName="Performance" provider="EventLogProvider" profile="Performance"/>-->
      </rules>
    </healthMonitoring>
    <globalization culture="pt-BR" uiCulture="pt-BR" />
    <httpHandlers>
      <add verb="*" path="AccessControlHandler.axd" type="WebFoundations.ServerControls.AccessControlHandler, WebFoundations.ServerControls" />
      <add verb="*" path="Telerik.RadUploadProgressHandler.ashx" type="Telerik.Web.UI.Upload.RadUploadProgressHandler, Telerik.Web.UI" />
      <add verb="*" path="Telerik.Web.UI.WebResource.axd" type="Telerik.Web.UI.WebResource, Telerik.Web.UI" validate="false" />
      <add verb="*" path="downloadfile.aspx" type="WebFoundations.WFPortal.PortalCore.Handlers.DownloadHandler,WebFoundations.WFPortal.PortalCore" />
      <add verb="*" path="*.ashx" type="WebFoundations.WFPortal.PortalCore.Handlers.RequestHandler,WebFoundations.WFPortal.PortalCore" />
      <add verb="*" path="Telerik.Web.UI.DialogHandler.aspx" type="Telerik.Web.UI.DialogHandler, Telerik.Web.UI" />
      <add verb="*" path="zuricreate.aspx" type="WebFoundations.WFWorkflow.Services.StartItem,WebFoundations.WFWorkflow.Services" />
    </httpHandlers>
    <httpRuntime maxRequestLength="102400" executionTimeout="600" requestValidationMode="2.0" />
    <httpModules>
      <add name="RadUploadModule" type="Telerik.Web.UI.RadUploadHttpModule, Telerik.Web.UI" />
    </httpModules>
    <sessionState mode="InProc" cookieless="false" timeout="20" />
  </system.web>
  <system.net>
    <mailSettings>
      <smtp deliveryMethod="SpecifiedPickupDirectory" from="zuri@zuri.wf">
        <specifiedPickupDirectory pickupDirectoryLocation="[APPPATH]\_Email\" />
      </smtp>
      <!--
    <smtp from="[EMAILSENDER]">
      <network host="[SMTPSERVER]" password="" userName="" />
    </smtp>
    <smtp deliveryMethod="SpecifiedPickupDirectory" from="[SENDER]">
      <specifiedPickupDirectory pickupDirectoryLocation="[APPPATH]\_Email\" /> 
    </smtp>
    -->
    </mailSettings>
  </system.net>
  <system.webServer>
    <httpProtocol>
      <customHeaders>
        <clear />
      </customHeaders>
    </httpProtocol>
    <validation validateIntegratedModeConfiguration="false" />
    <modules>
      <add name="RadUploadModule" type="Telerik.Web.UI.RadUploadHttpModule, Telerik.Web.UI" preCondition="managedHandler" />
    </modules>
    <handlers>
      <add verb="*" preCondition="integratedMode" name="WFAccessControlHandler" path="AccessControlHandler.axd" type="WebFoundations.ServerControls.AccessControlHandler, WebFoundations.ServerControls" />
      <add verb="*" preCondition="integratedMode" name="TelerikRadUploadProgressHandler*" path="Telerik.RadUploadProgressHandler.ashx" type="Telerik.Web.UI.Upload.RadUploadProgressHandler, Telerik.Web.UI" />
      <add verb="*" preCondition="integratedMode" name="TelerikWebResource*" path="Telerik.Web.UI.WebResource.axd" type="Telerik.Web.UI.WebResource, Telerik.Web.UI" />
      <add verb="*" preCondition="integratedMode" name="WFDownloadFile*" path="downloadfile.aspx" type="WebFoundations.WFPortal.PortalCore.Handlers.DownloadHandler,WebFoundations.WFPortal.PortalCore" />
      <add verb="*" preCondition="integratedMode" name="WFURLRedirect*" path="*.ashx" type="WebFoundations.WFPortal.PortalCore.Handlers.RequestHandler,WebFoundations.WFPortal.PortalCore" />
      <add verb="*" preCondition="integratedMode" name="TelerikDialogHandler*" path="Telerik.Web.UI.DialogHandler.aspx" type="Telerik.Web.UI.DialogHandler, Telerik.Web.UI" />
      <add verb="*" preCondition="integratedMode" name="WFZuriCreate" path="zuricreate.aspx" type="WebFoundations.WFWorkflow.Services.StartItem,WebFoundations.WFWorkflow.Services" />
    </handlers>
    <staticContent>
      <!--garante um melhor funcionamento para o cache de conteúdo estático, 
      pois assim o cache funciona e o conteúdo só é enviado quando houver atualização,
      mas o browser vai perguntar sempre se houve atualização-->
      <clientCache cacheControlCustom="no-cache, max-age=0, private" />

      <remove fileExtension=".fex" />
      <mimeMap fileExtension=".fex" mimeType="application/octet-stream" />
      <remove fileExtension=".wex" />
      <mimeMap fileExtension=".wex" mimeType="application/octet-stream" />
      <remove fileExtension=".wfp" />
      <mimeMap fileExtension=".wfp" mimeType="application/octet-stream" />
    </staticContent>
  </system.webServer>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <!--<dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.28.0" newVersion="2.2.28.0" />
      </dependentAssembly>-->
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-11.0.0.0" newVersion="11.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>